%{
#include "opt-keyword-ok.tab.h"
%}
%option noyywrap
%option nodefault
%%
"("			{ return '('; }
"command"               { return COMMAND; }
"keyword"               { return KEYWORD; }
[[:alpha:]][[:alnum:]]* { return ID; }
[ \t]+                  /* ueberspringe White-Space */
\n                      { return 0; /* Nur eine Zeile lesen. */ }
.                       { return ILLEGAL_CHAR; }
